<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>pl.polgrabia.demos</groupId>
        <artifactId>plugin-demo1</artifactId>
        <version>1.0-SNAPSHOT</version>
    </parent>

    <artifactId>plugin-demo1-prog</artifactId>

    <properties>
        <maven.compiler.source>21</maven.compiler.source>
        <maven.compiler.target>21</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.runner.id>id1</maven.runner.id>
        <maven.runner.name>name1</maven.runner.name>
    </properties>

    <build>
        <plugins>
            <plugin>
                <groupId>pl.polgrabia.demos</groupId>
                <artifactId>plugin-demo1-plugin</artifactId>
                <version>1.0-SNAPSHOT</version>
                <!--
                <configuration>
                    <id>${maven.runner.id}</id>
                    <name>${maven.runner.name}</name>
                </configuration>
                -->
                <executions>
                    <execution>
                        <id>runner</id>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>